org.bouncycastle.crypto.util

## Class Pack

- java.lang.Object
- - org.bouncycastle.crypto.util.Pack

    public abstract class Pack
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Pack()`

### Method Summary

Methods
`static int` `bigEndianToInt(byte[] bs, int off)`
`static long` `bigEndianToLong(byte[] bs, int off)`
`static void` `intToBigEndian(int n, byte[] bs, int off)`
`static void` `longToBigEndian(long n, byte[] bs, int off)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Pack

    public Pack()

### Method Detail

#### bigEndianToInt

    public static int bigEndianToInt(byte[] bs,
                     int off)

#### intToBigEndian

    public static void intToBigEndian(int n,
                      byte[] bs,
                      int off)

#### bigEndianToLong

    public static long bigEndianToLong(byte[] bs,
                       int off)

#### longToBigEndian

    public static void longToBigEndian(long n,
                       byte[] bs,
                       int off)